This page was generated
June  25,  2015
8:21  AM
XQuery & XSLT Built-In & Modules Function Reference

REST Resources API

The following table lists the APIs that correspond to the REST Resources API. Click on a function name to go directly to the detailed function description, or use the tree on the left to navigate to the functions by group.
REST Resource Summary
manage:/manage/v1/ This resource address returns summary information for the local cluster.
manage:/manage/v1/clusters This resource address returns a list of all of the clusters coupled to the local cluster.
manage:/manage/v1/clusters/{id|name} This resource address returns summary information for the specified foreign cluster.
manage:/manage/v1/clusters/{id|name}/config This resource address returns configuration information for the specified foreign cluster.
manage:/manage/v1/clusters/{id|name}/status This resource address returns status information for the specified foreign cluster.
manage:/manage/v1/databases This resource address returns a summary of the databases in the cluster.
manage:/manage/v1/databases/{id|name} This resource address returns information on the specified database.
manage:/manage/v1/databases/{id|name}/{custom} This resource address returns some custom information for the specified database, as implemented by a specific plugin.
manage:/manage/v1/databases/{id|name}/config This resource address returns the configuration information for the specified database.
manage:/manage/v1/databases/{id|name}/counts This resource address returns the count information for the forests attached to the specified database.
manage:/manage/v1/databases/{id|name}/edit This resource address returns the database configuration page in the Admin interface.
manage:/manage/v1/databases/{id|name}/status This resource address returns status information for the specified database.
manage:/manage/v1/forests This resource address returns a summary of the forests in the cluster.
manage:/manage/v1/forests?view=schema This resource address returns a schema view of the forests in the cluster.
manage:/manage/v1/forests?view=status This resource address returns a status view of the forests in the cluster.
manage:/manage/v1/forests?view=storage This resource address returns a storage view of the forests in the cluster.
manage:/manage/v1/forests/{id|name} This resource address returns information on a specific forest.
manage:/manage/v1/forests/{id|name}/{custom} This resource address returns some custom information for the specified forest, as implemented by a specific plugin.
manage:/manage/v1/forests/{id|name}/config This resource address returns the configuration information for the specified forest.
manage:/manage/v1/forests/{id|name}/counts This resource address returns the count information for the specified forest.
manage:/manage/v1/forests/{id|name}/edit This resource address returns the forest configuration page in the Admin Interface.
manage:/manage/v1/forests/{id|name}/status This resource address returns the status of the specified forest.
manage:/manage/v1/groups This resource address returns a summary of the groups in the cluster.
manage:/manage/v1/groups/{id|name} This resource address returns information on the specified group.
manage:/manage/v1/groups/{id|name}/{custom} This resource address returns some custom information for the specified group, as implemented by a specific plugin.
manage:/manage/v1/groups/{id|name}/config This resource address returns the configuration information for the specified group.
manage:/manage/v1/groups/{id|name}/counts This resource address returns the count information for the specified group.
manage:/manage/v1/groups/{id|name}/edit This resource address returns the group configuration page in the Admin Interface.
manage:/manage/v1/groups/{id|name}/status This resource address returns status information for the specified group.
manage:/manage/v1/hosts This resource address returns a summary of the hosts in the cluster.
manage:/manage/v1/hosts?view=status This resource address returns a status summary of the hosts in the cluster.
manage:/manage/v1/hosts/{id|name} This resource address returns information on a specific host.
manage:/manage/v1/hosts/{id|name}/{custom} This resource address returns some custom information for the specified host, as implemented by a specific plugin.
manage:/manage/v1/hosts/{id|name}/config This resource address returns the configuration information for the specified host.
manage:/manage/v1/hosts/{id|name}/counts This resource address returns the count information for the specified host.
manage:/manage/v1/hosts/{id|name}/edit This resource address returns the host configuration page in the Admin Interface.
manage:/manage/v1/hosts/{id|name}/status This resource address returns status information for the specified host.
manage:/manage/v1/list/package This resource address returns configuration information for the specified App Servers and/or databases.
manage:/manage/v1/package/compare This resource address is used in a POST request to import a packaged configuaration for resources to a host and compare it against the configurations of the host's local resources.
manage:/manage/v1/package/install This resource address is used in a POST request to install a packaged configuration on the local host.
manage:/manage/v1/query This resource address returns the summary of all of the resources in the local cluster.
manage:/manage/v1/requests This resource address returns a summary of the requests in the cluster.
manage:/manage/v1/requests/{id|uri} This resource address returns information on the specified request.
manage:/manage/v1/servers This resource address returns a summary of the servers in the cluster.
manage:/manage/v1/servers?view=status This resource address returns a status summary of the servers in the cluster.
manage:/manage/v1/servers/{id|name}?group-id={id|name} This resource address returns information on the specified server.
manage:/manage/v1/servers/{id|name}/{custom}?group-id={id|name} This resource address returns some custom information for the specified server, as implemented by a specific plugin.
manage:/manage/v1/servers/{id|name}/config?group-id={id|name} This resource address returns configuration information for the specified server.
manage:/manage/v1/servers/{id|name}/edit?group-id={id|name} This resource address returns the server configuration page in the Admin Interface.
manage:/manage/v1/servers/{id|name}/status?group-id={id|name} This resource address returns status information for the specified server.
manage:/manage/v1/status This resource address returns the aggregate status of the local cluster.
manage:/manage/v1/tickets/ticket/{ticket-number}/revert Each /manage/v1/package/install resource address returns ticket number.
manage:/manage/v1/transactions This resource address returns a summary of the transactions in the cluster.
manage:/manage/v1/transactions/{id|uri}?host-id={id|name} This resource address returns information on the specified transaction.
rest-client:/v1/config/indexes Request a report on whether or not the database configuration includes index configurations that satisfy all installed query options.
rest-client:/v1/config/indexes/{name} Request a report on whether or not the database configuration includes index configurations that satisfy these named query options.
rest-client:/v1/config/namespaces List all namespace bindings configured for use in queries, ordered alphabetically by prefix.
rest-client:/v1/config/namespaces Create or append to namespace bindings that can be used in subsequent query operations.
rest-client:/v1/config/namespaces Create or replace namespace bindings that can be used in subsequent query operations.
rest-client:/v1/config/namespaces Remove all installed namespace bindings.
rest-client:/v1/config/namespaces/{prefix} Retrieve the namespace URI associated with the REST service namespace binding prefix {prefix}.
rest-client:/v1/config/namespaces/{prefix} Create or modify a namespace binding.
rest-client:/v1/config/namespaces/{prefix} Remove the namespace binding for {prefix}.
rest-client:/v1/config/properties Retrieve a list of all MarkLogic REST API instance configuration properties names and settings.
rest-client:/v1/config/properties Set or modify MarkLogic REST API instance configuration properties.
rest-client:/v1/config/properties Reset all MarkLogic REST API instance configuration properties to their default values.
rest-client:/v1/config/properties/(property-name) Set the value of the MarkLogic REST API instance configuration property named by {property-name}.
rest-client:/v1/config/properties/{name-property} Reset the MarkLogic REST API instance configuration property {property-name} to its default value.
rest-client:/v1/config/properties/{property-name} Retrieve the value of the MarkLogic REST API instance configuration property named by {property-name}.
rest-client:/v1/config/query Retrieve a list of all the named query options available for use with the service.
rest-client:/v1/config/query Remove all named query options.
rest-client:/v1/config/query/(default|{name}) Retrieve the query options whose name matches the name in the request URI, or retrieve the default query options.
rest-client:/v1/config/query/(default|{name}) Create or append to named query options.
rest-client:/v1/config/query/(default|{name}) Create or replace named query options.
rest-client:/v1/config/query/(default|{name}) Remove the named (or default) query options from the App Server.
rest-client:/v1/config/query/(default|{name})/{child-element} Retrieve the setting for a particular option in named query options.
rest-client:/v1/config/query/(default|{name})/{child-element} Add options to existing named query options, or create new named query options if {name} does not already exist.
rest-client:/v1/config/query/(default|{name})/{child-element} Replace options in existing named query options, or create new named query options if {name} does not already exist.
rest-client:/v1/config/query/(default|{name})/{child-element} Remove an option setting from the named query options.
rest-client:/v1/config/resources Retrieve a list of installed resource service extensions, including their metadata.
rest-client:/v1/config/resources/{name} Retrieve the XQuery library module implementing the named resource service extension.
rest-client:/v1/config/resources/{name} Create or update a resource service extension.
rest-client:/v1/config/resources/{name} Uninstall the named resource service extension.
rest-client:/v1/config/transforms Retrieve metadata about all transforms installed using the /v1/config/transforms/{name} endpoint.
rest-client:/v1/config/transforms/{name} Retrieve the XQuery or XSLT implementation installed for the named transform.
rest-client:/v1/config/transforms/{name} Create or update the named transform.
rest-client:/v1/config/transforms/{name} Remove the named transform.
rest-client:/v1/documents Retrieve document content and/or metadata from the database.
rest-client:/v1/documents Returns the same headers as an equivalent GET (content/metadata fetch) on the /documents endpoint.
rest-client:/v1/documents Insert or update document contents and/or metadata, at a caller-supplied document URI.
rest-client:/v1/documents Remove a document, or reset document metadata.
rest-client:/v1/keyvalue Query the database based on the value of a JSON key, XML element, or XML element attribute.
rest-client:/v1/resources/{name} Make a GET request to the named resource service extension.
rest-client:/v1/resources/{name} Perform the PUT operation associated with a resource service extension.
rest-client:/v1/resources/{name} Applies an extension-specific operation to a resource implemented by a resource service extension.
rest-client:/v1/resources/{name} Send a DELETE request to the named resource service extension.
rest-client:/v1/rest-apis Retrieve a list of REST API instances, including configuration details.
rest-client:/v1/rest-apis Create an instance of the MarkLogic REST API, including an HTTP app server, required modules, and optionally a content database.
rest-client:/v1/rest-apis/{name} Retrieve configuration information about an App Server servicing the MarkLogic REST API.
rest-client:/v1/rest-apis/{name} Remove an HTTP App Server servicing the MarkLogic REST API.
rest-client:/v1/search Search the database using a string and/or structured query.
rest-client:/v1/search Search the database using a structured query, supplied in the POST body; or search the database using a string or structured query with the query options and query combined in the POST body.
rest-client:/v1/search Remove documents in a collection or directory, or clear the database.
rest-client:/v1/transactions Create a multi-statement transaction.
rest-client:/v1/transactions/{txid} Retrieve status information for the transaction whose id matches the txid given in the request URI.
rest-client:/v1/transactions/{txid} Commit or rollback the transaction whose id matches the txid given in the request URI.
rest-client:/v1/values Retrieve a list of lexicon configurations available for use with GET /v1/values/{name}.
rest-client:/v1/values/{name} Query the values in a lexicon or range index, or find co-occurrences of values in multiple rang indexes.
rest-client:/v1/values/{name} Query the values in a lexicon or range index, or find co-occurrences of values in multiple rang indexes.